For the complete documentation index, see llms.txt. This page is also available as Markdown.

account_channels - XRPL

Example code for the account_channels JSON RPC method. Complete guide to using account_channels JSON-RPC in the GetBlock Web3 documentation.

Returns payment channels where the account is the source on XRP Ledger.

Parameters

Parameter
Type
Required
Description

account

string

Yes

Account address

destination_account

string

No

Filter by destination

ledger_hash

string

No

Ledger hash

ledger_index

string/number

No

Ledger index or shortcut

limit

number

No

Maximum results

marker

object

No

Pagination marker

Request Example

cURL
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS_TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "account_channels",
    "params": [{
        "account": "rN7n7otQDd6FczFgLdSqtcsAUxDkw6fzRH"
    }],
    "id": "getblock.io"
}'
request.js
const axios = require('axios');

const url = 'https://shared.eu-central-1.getblock.io/<ACCESS_TOKEN>/';
const headers = {
    'x-api-key': 'YOUR-API-KEY',
    'Content-Type': 'application/json'
};

const payload = {
    jsonrpc: '2.0',
    method: 'account_channels',
    params: [{
        account: 'rN7n7otQDd6FczFgLdSqtcsAUxDkw6fzRH'
    }],
    id: 'getblock.io'
};

axios.post(url, payload, { headers })
    .then(response => console.log(response.data))
    .catch(error => console.error(error));

Response Example

Response Parameters

Parameter
Type
Description

channels

array

Payment channels

channel_id

string

Channel identifier

amount

string

Total allocated

balance

string

Amount paid out

Field
Type
Description

account

string

Source account

channels

array

Payment channel list

ledger_current_index

integer

Current ledger index

Use Cases

  • List payment channels

  • Monitor channel balances

  • Track streaming payments

Error Handling

Error Code
Description

actNotFound

Account not found

invalidParams

Invalid parameters

SDK Integration

Last updated

Was this helpful?